<?php

namespace FiloBlu\Flow\Console\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;


class ParseCommand extends Command
{

    protected $state;

    public function __construct(
        \Magento\Framework\App\State $state
    )
    {
        $this->state = $state;
        return parent::__construct();
    }

    protected function configure()
    {
        $this->setName('flow:parse')->setDescription('Parse data channels');
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        try {
            $this->state->setAreaCode('adminhtml');
        } catch (\Exception $ex) {
            $output->writeln("Areacode was already set, skipping!");
        }
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $this->cronModel = $objectManager->create('\FiloBlu\Flow\Cron\Fetch');
        $this->cronModel->parse();
        $output->writeln('<info>Parsed executed !</info>');
    }

}